body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

ul{
    margin: 0;
    padding: 0;
    display: flex;
}

ul li{
    width: 120px;
    height: 20px;
    font-family: roboto;
    font-size: 15px;
    list-style: none;
    letter-spacing: 10px;

    position: relative;
    overflow: hidden;

    display: flex;
    justify-content: center;
    

    transition:  all 0.3s;
}

ul li::before{
    content: '';
    width: 100%;
    height: 100%;
    /* border-radius: 20px; */
    background-color: #002299;
    
    position: absolute;
    right: 100%;
    top: 50%;
    /* top: 18px; */
    z-index:-1;

    transition:  all 0.3s;
    
}

ul li::after{
    content: '';
    width: 100%;
    height: 100%;
    /* border-radius: 20px; */
    background-color: #5500FF;
    
    position: absolute;
    left: 100%;
    top: -50%;
    /* top: -18px; */
    z-index:-1;
    transition:  all 0.3s;
    
}

ul li:hover:before{
    right: 0;
    /* top:50%; */
}

ul li:hover:after{
    left: 0;
    /* top:-50%; */
}



ul li a{
    color: #262626;
    text-decoration: none;
    transition:  all 0.3s;
}


ul li a:hover {
    color: #FFF;
}



